List general surveys
curl --request GET \
--url https://app.msportal.ai/api/public/v1/surveys \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/surveys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/surveys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"isActive": true,
"publishedAt": "2023-11-07T05:31:56Z",
"version": 123,
"questionCount": 123,
"responseCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 2,
"limit": 50,
"totalCount": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPrevPage": true
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Surveys
List general surveys
Retrieve a paginated list of general surveys.
GET
/
api
/
public
/
v1
/
surveys
List general surveys
Authorizations
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Query Parameters
Page number
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Field to sort by
Available options:
created_at, updated_at, title, published_at Sort descending
Search in survey title
Maximum string length:
255Filter by active status
Was this page helpful?
⌘I